:root {
    --border-form-color: #D6D6D6;
    --toggle-color-danger: #DC3545;
    --toggle-color-success: #35BC3B;
    --select2-color: #D6D6D6;
    --color-black: #1E1E1E;
}

body {
    font-family: 'Quicksand';
}

ul li {
    list-style: none;
}

.nowrap {
    white-space: nowrap;
}

.main-sidebar>* {
    z-index: 9;
    position: relative;
}

.main-sidebar a {
    color: #fff;
    text-transform: uppercase;
}

.main-header .nav-link {
    color: #222
}

.ombrafullpage {
    position: fixed;
    z-index: 999999999999;
    background: rgba(0, 0, 0, 0.8);
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
}

.ombrafullpage img {
    position: absolute;
    z-index: 1;
    top: 50%;
    left: 50%;
    max-width: 50px;
    transform: translate(-50%, -50%);
}

.nav-item.menu-open>a {
    background-color: rgba(255, 255, 255, .1)
}

.nav-pills .nav-link.active,
.nav-pills .show>.nav-link {
    background-color: #ccc;
    border-radius: 0
}

.login-box {
    width: 360px
}

.input-group-append {
    margin-left: -1px
}

.input-group-text {
    margin: 0;
    width: 45px
}

.input-group-text>span {
    display: inline-block;
    margin: auto
}

.input-group-append,
.input-group-prepend {
    display: -ms-flexbox;
    display: flex;
}

.btn-default {
    background-color: #f8f9fa;
    border-color: #ddd;
    color: #444;
}

.btn-group,
.btn-group-vertical {
    position: relative;
    display: -ms-inline-flexbox;
    display: inline-flex;
    vertical-align: middle;
}

.card-title {
    float: left;
    font-size: 1.1rem;
    font-weight: 400;
    margin: 0;
}

.card-header>.card-tools {
    float: right;
    margin-right: -.625rem;
}

.bootstrap-select button {
    background: #fff;
    border: 1px solid #ced4da;
}

.content-header h1 {
    font-size: 32px;
    font-weight: 600
}

.halfpipe {
    display: flex;
    min-height: 100vh;
    align-items: center;
    overflow: hidden
}

.halfpipe:nth-child(2):before {
    display: block;
    content: '';
    position: absolute;
    width: 100%;
    bottom: 0;
    top: 0;
    left: 0;
    background: rgba(30, 37, 50, 0.75);
    z-index: 9
}

.halfpipe:nth-child(2) .content {
    position: relative;
    max-width: 100%;
    width: 100%;
    margin: 64px;
    z-index: 99;
    color: #fff;
    font-size: 3.5vw;
    font-weight: 700
}

.halfpipe:nth-child(2) .description {
    margin: 20px 0 40px;
    font-size: 1.8vw;
    font-weight: 400
}

.login-box {
    margin: auto;
    padding-top: 40px;
    padding-bottom: 40px;
}

.login-box label {
    font-weight: 400;
    text-transform: uppercase;
    font-size: 0.8em;
    color: #555
}

.nav-sidebar .menu-open>.nav-link i.right {
    -webkit-transform: rotate(90deg) !important;
    transform: rotate(90deg) !important;
}

ul.accountslist {
    max-width: 300px;
    padding: 0;
    margin: auto
}

ul.accountslist li {
    padding: 10px 0
}

ul.accountslist li a {
    width: 100%;
    text-align: center;
    white-space: nowrap;
    display: block;
    overflow: hidden;
    text-overflow: ellipsis
}

.form-control:disabled,
.form-control[readonly] {
    background-color: transparent;
    border: 0;
    border-bottom: 1px solid var(--border-form-color);
}

.form-control[type=time]:disabled,
.form-control[type=time][readonly],
.form-control.disabled-bg-white:disabled,
.form-control.disabled-bg-white[readonly] {
    background-color: #FFFFFF;
    border: 1px solid var(--border-form-color);
}

.dataTables_info {
    padding-left: .755em;
}

.dataTables_paginate {
    padding-bottom: .25em;
}

a.btn-link {
    color: #007bff !important;
}

a.btn-link:hover {
    color: #0056b3 !important;
}

.dataTables_length {
    padding: 5px 0 0 15px
}

.dataTables_length label {
    font-weight: 400 !important
}

.td-min-width {
    max-width: 1px;
    white-space: nowrap;
}

.fakefooter {
    position: absolute;
    bottom: 5px;
    z-index: 99;
    color: #bbb;
    text-align: center;
    left: 0;
    font-size: 14px;
    width: 100%
}

.table-striped-reverse tbody tr:nth-of-type(even) {
    background: rgba(0, 0, 0, .05);
}

.table-striped-reverse tbody tr:nth-of-type(odd) {
    background: transparent;
}

/* Nuovo */

.btn-fixed {
    position: fixed;
    bottom: 15px;
    right: 15px;
}

legend {
    font-weight: bold;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice {
    background-color: var(--select2-color) !important;
    border-color: var(--select2-color);
    color: var(--color-black);
    font-weight: 500;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
    color: var(--color-black);
    font-weight: 500;
}

.gap-5 {
    gap: 5px;
}

.gap-10 {
    gap: 10px;
}

.gap-15 {
    gap: 15px;
}

table.dataTable thead th,
table.dataTable thead td,
table.dataTable tbody th,
table.dataTable tbody td {
    padding: 8px 10px;
}

form input.form-control,
form select.form-control,
form textarea.form-control,
.select2-container--default .select2-selection--multiple,
.select2-container--default.select2-container--focus .select2-selection--multiple,
span.form-control {
    border-color: var(--border-form-color);
    color: var(--color-black);
}

.toggle.btn-danger,
.toggle-group .btn-danger.toggle-off,
.toggle-group .btn-danger.toggle-off.active {
    background-color: var(--toggle-color-danger);
    border-color: var(--toggle-color-danger);
}

.toggle.btn-success,
.toggle-group .btn-success.toggle-on {
    background-color: var(--toggle-color-success);
    border-color: var(--toggle-color-success);
}

.custom-file-label::after {
    content: "Scegli file" !important;
    background-color: var(--border-form-color);
    border-radius: 3px;
    color: var(--color-black);
}

.font-weight-medium {
    font-weight: 500 !important;
}

.form-check-checkmark {
    display: block;
    position: relative;
    padding-left: 35px;
    margin-bottom: 12px;
    font-size: 22px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.form-check-checkmark input {
    position: absolute;
    opacity: 0;
    height: 0;
    width: 0;
}

.checkmark {
    position: absolute;
    top: 50%;
    left: 0;
    height: 20px;
    width: 20px;
    background-color: #FFFFFF;
    border: 2px solid var(--border-form-color);
    border-radius: 3px;
    transform: translate(0, -50%);
    cursor: pointer;
}

/* When the checkbox is checked, add a blue background */
.form-check-checkmark input:checked~.checkmark {
    background-color: var(--border-form-color);
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

/* Show the checkmark when checked */
.form-check-checkmark input:checked~.checkmark:after {
    display: block;
}

/* Style the checkmark/indicator */
.form-check-checkmark .checkmark:after {
    left: 5px;
    top: 2px;
    width: 6px;
    height: 10px;
    border: solid var(--color-black);
    border-width: 0 2px 2px 0;
    -webkit-transform: rotate(35deg);
    -ms-transform: rotate(35deg);
    transform: rotate(35deg);
}

.box-orari-singolo label {
    position: absolute;
    top: -15px;
    left: 50%;
    transform: translate(-50%, 0);
    padding: 0 15px;
    background-color: #fff;
    font-weight: 500 !important;
    z-index: 1;
}

.box-orari-singolo input {
    text-align: center;
    height: 60px;
    border-radius: 5px;
    max-width: 80%;
    margin: auto;
    position: relative;
}

.line:before {
    content: "";
    width: 100%;
    height: 1px;
    display: block;
    background-color: var(--border-form-color);
    position: absolute;
    top: calc(50% - 1rem);
    left: 100%;
    transform: translate(-50%, calc(-50% + 0.5rem));
}

.aggiungi-orario,
.aggiungi-settimana {
    min-height: 60px;
}

.border-radius-6 {
    border-radius: 6px;
}

.btn-primary {
    background-color: #ED6958;
    border-color: #ED6958;
}

.btn-primary:hover {
    background-color: #d45f4f;
    border-color: #cf5c4d;
}

.btn-primary.focus,
.btn-primary:focus {
    background-color: #d45f4f;
    border-color: #cf5c4d;
}

.btn-primary:not(:disabled):not(.disabled).active,
.btn-primary:not(:disabled):not(.disabled):active,
.show>.btn-primary.dropdown-toggle {
    background-color: #cf5c4d;
    border-color: #b85144;
}

input[type=time]::-webkit-calendar-picker-indicator {
    background: transparent;
    bottom: 0;
    color: transparent;
    cursor: pointer;
    height: auto;
    left: 0;
    position: absolute;
    right: 0;
    top: 0;
    width: auto;
}

#box-giorni-ripetizione .box-settimana {
    border: 1px solid var(--border-form-color);
    border-radius: 6px;
}

.elimina-orario {
    position: absolute;
    left: 50%;
    transform: translate(-50%, 0);
}

.toggle.ios,
.toggle-on.ios,
.toggle-off.ios {
    border-radius: 20px;
}

.toggle.ios .toggle-handle {
    border-radius: 20px;
}

table.dataTable thead th,
table.dataTable thead td,
table.dataTable tbody th,
table.dataTable tbody td {
    padding: 10px 20px;
}

@media screen and (min-width: 992px) {

    h3,
    .h3 {
        font-size: 25px;
        font-weight: bold;
    }

    .fs-lg-20 {
        font-size: 20px;
    }

    form label {
        font-size: 20px;
        font-weight: bold;
    }

    form input.form-control,
    form select.form-control,
    form textarea.form-control,
    span.form-control {
        font-size: 16px;
        font-weight: 500;
    }

    .custom-file-label {
        border: 0;
        padding-left: 150px;
    }

    .custom-file-label::after {
        right: initial;
        left: 0;
        height: fit-content;
        font-weight: 500;
        font-size: 18px;
        width: 125px;
        text-align: center;
    }

    .elimina-orario {
        position: relative;
    }
}